---
title: MediaQueryListEvent
slug: Web/API/MediaQueryListEvent
tags:
  - API
  - CSSOM View
  - Interface
  - Media Queries
  - MediaQueryListEvent
  - Reference
---
<p>{{APIRef("CSSOM")}}</p>

<p>The <code>MediaQueryListEvent</code> object stores information on the changes that have happened to a {{DOMxRef("MediaQueryList")}} object — instances are available as the event object on a function referenced by a {{DOMxRef("MediaQueryList.onchange")}} property or {{DOMxRef("MediaQueryList.addListener()")}} call.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{DOMxRef("MediaQueryListEvent.MediaQueryListEvent()", "MediaQueryListEvent()")}}</dt>
 <dd> Creates a new <code>MediaQueryListEvent</code> instance.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>The <code>MediaQueryListEvent</code> interface inherits properties from its parent interface, {{DOMxRef("Event")}}.</em></p>

<dl>
 <dt>{{DOMxRef("MediaQueryListEvent.matches")}}{{ReadOnlyInline}}</dt>
 <dd> A {{DOMxRef("Boolean")}} that returns <code>true</code> if the {{DOMxRef("document")}} currently matches the media query list, or <code>false</code> if not.</dd>
 <dt>{{DOMxRef("MediaQueryListEvent.media")}}{{ReadOnlyInline}}</dt>
 <dd> A {{DOMxRef("DOMString")}} representing a serialized media query.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>MediaQueryListEvent</code> interface inherits methods from its parent interface, {{DOMxRef("Event")}}.</em></p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var mql = window.matchMedia('(max-width: 600px)');

function screenTest(e) {
  if (e.matches) {
    /* the viewport is 600 pixels wide or less */
    para.textContent = 'This is a narrow screen — less than 600px wide.';
    document.body.style.backgroundColor = 'red';
  } else {
    /* the viewport is more than than 600 pixels wide */
    para.textContent = 'This is a wide screen — more than 600px wide.';
    document.body.style.backgroundColor = 'blue';
  }
}

mql.addListener(screenTest);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSSOM View", "#mediaquerylistevent", "MediaQueryListEvent")}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaQueryListEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/CSS/Media_queries">Media queries</a></li>
 <li><a href="/en-US/docs/CSS/Using_media_queries_from_code">Using media queries from code</a></li>
 <li>{{DOMxRef("window.matchMedia()")}}</li>
 <li>{{DOMxRef("MediaQueryList")}}</li>
</ul>
